﻿using System;
using System.Reflection;

namespace FluentlyXml.Core.Deserialization
{
	internal interface IDeserializationConfig
	{
		void SetIdentityFunction(Type target, Func<object, object> selector);
		void SetPropertyDeserializer(Type target, PropertyInfo property, PropertyDeserializer propertyDeserializer);
		void AddPostDeserializationCallback(Type target, Action<object> callback);
	}
}