﻿using System;
using System.Xml.Linq;

namespace FluentlyXml.Core.Deserialization
{
	public interface IDeserializationContext
	{
		void AddObject(object key, ref object obj);
		object FindObject(Type type, object key);

		object Deserialize(Type type, XElement xml, IDeserializationContext context);
	}
}