﻿using System;
using System.Xml.Linq;

namespace FluentlyXml.Core.Deserialization
{
	internal interface ITypeDeserializer
	{
		bool CanDeserialize(Type type);
		object Deserialize(Type target, XElement element, IDeserializationContext context);
		object GetIdentityFor(object obj);
	}
}