﻿using System;
using System.Xml.Linq;

namespace FluentlyXml.Core
{
	/// <summary>
	/// Performs serialization of objects.  
	/// </summary>
	public interface IFluentSerializer : IDisposable
	{
		/// <summary> </summary>
		XElement Serialize<T>(T obj);

		XElement Serialize(Type type, object obj);
	}
}