﻿using System;
using System.Xml.Linq;

namespace FluentlyXml.Core
{
	public class UnexpectedElementException : ApplicationException
	{
		public UnexpectedElementException(XElement element, Type type)
			: base(string.Format("Unexpected element '{0}' found while deserializing type '{1}'.",
			                     element.Name, type.Name))
		{
		}
	}
}